' *********************************************************************************************
' Deklarationen
' *********************************************************************************************
Option Explicit
Private m_IsColored


' *********************************************************************************************
' UI
' *********************************************************************************************
Sub UIToggleColor 
	If m_IsColored = True Then
			MainForm.RichTextBox1.BackColor = 16777215
			MainForm.icboAddress.BackColor = 16777215 
			MainForm.icboAddress.ForeColor = 0
			m_IsColored = False
		Else
			MainForm.RichTextBox1.BackColor = 12648447
			MainForm.icboAddress.BackColor = 12582912 
			MainForm.icboAddress.ForeColor = 16777215 
			m_IsColored = True 
	End If
End Sub
Sub UIToggleClock
	MainForm.StatusBar1.Panels(6).Visible = Not MainForm.StatusBar1.Panels(6).Visible 
End Sub
Sub UIToggleSplitterHover
	MainForm.VSplitter.ShowHover = Not MainForm.VSplitter.ShowHover
	MainForm.HSplitter.ShowHover = Not MainForm.HSplitter.ShowHover
End Sub
Sub UIMaximizeWorkArea
	MainForm.Toolbar3.Visible = False
	MainForm.VSplitter.LimitTop = 20
	MainForm.StatusBar1.Visible = False
	MainForm.VSplitter.LimitBottom = 800
	MainForm.Toolbar4.Visible = False
	MainForm.VSplitter.LimitRight = 240
	MainForm.VSplitter.Resize
	MainForm.VSplitter.SnapState = 1
End Sub
Sub UIShowOptionsPaths
	Dim i, sText
	For i = 101 To 199
		If Not MainForm.Optionen.Settings(i) Is Nothing Then
			If MainForm.Optionen.Settings(i).EditMode = 1 Then
				sText = sText & MainForm.Optionen.Settings(i).Name
				sText = sText & ": "
				sText = sText & MainForm.Optionen.Settings(i).Value
				sText = sText & Chr(13)
			End If
		End If
	Next
	MsgBox sText
End Sub


' *********************************************************************************************
' text editing
' *********************************************************************************************
Sub AutoTextShowCount
	MsgBox "Number of AutoText enties: " & MainForm.AutoText.List.Count, vbInformation, "AutoText"
End Sub
Sub AutoTextPrintList
	Dim li
	For Each li In MainForm.AutoText.List
		MainForm.RichTextBox1.SelText = li.Item & Chr(13) & Chr(10)
	Next
End Sub
Sub AutoTextToggleSuggestions 
	MainForm.AutoText.IsTalking = Not MainForm.AutoText.IsTalking 
End Sub
Sub InsertHyperlink
	Dim sTitle
	sTitle = InputBox("Please enter a title for the link:", "Title for link")
	If sTitle <> "" Then
		MainForm.RichTextBox1.SelText = "<a href=>" & sTitle & "</a>"
		MainForm.RichTextBox1.SelStart = MainForm.RichTextBox1.SelStart - (5 + Len(sTitle))
		MainForm.[HyperlinkEinfgen]
	End If
End Sub


' *********************************************************************************************
' history
' *********************************************************************************************
Sub HistoryClear
	If MsgBox("Do you really want to clear the history list?", vbYesNo + vbInformation, "Clear history list") = vbYes Then
		MainForm.WebHistory.History.Clear()
	End If
End Sub
Sub HistoryDocRemoveFrom
	Dim sFile: sFile = MainForm.TextBox.File
	If sFile <> "" Then MainForm.WebHistory.History.RemoveByValue sFile
End Sub


' *********************************************************************************************
' documents
' *********************************************************************************************
Sub DocPreviewIndexFile
	If MainForm.Textbox.Dirty Then
		Dim msg: msg = MsgBox("Do you want to save changes to this document?", vbYesNoCancel + vbInformation, "Save?")
		Select Case msg
			Case vbYes
				MainForm.TextBox.Save
			Case vbCancel
				Exit Sub
		End Select	
	End If
	Dim sFile: sFile = ConstructFile(MainForm.TextBox.Folder, "index.html")
	MainForm.Dateien.[DateiffnenMit] "", sFile, ""
End Sub
Sub DocOpenWith
	If MainForm.TextBox.File <> "" Then
		Dim flts: Set flts = CreateObject("VB6Core.NFilters")
		flts.Add "Programme (*.exe)", "*.exe", 0
		Dim sFile: sFile = FileDialog(False, , , flts)
		If sFile <> "" Then
			MainForm.Dateien.[DateiffnenMit] sFile, MainForm.TextBox.File, ""
		End If
	End If
End Sub
Sub DocOpenFolderInExplorer
	If MainForm.TextBox.Folder <> "" Then
		MainForm.Dateien.[DateiffnenMit] MainForm.Optionen.Settings(201).Value, MainForm.TextBox.Folder, ""
	End If
End Sub
Sub DocLinkFolder
	MainForm.CreateShortcut MainForm.TextBox.Folder
End Sub
Sub DocDuplicateAsTemplate
	Dim sFile: sFile = MainForm.TextBox.File
	MainForm.TextBox.LoadTemplate sFile
End Sub


' *********************************************************************************************
' communication
' *********************************************************************************************
Sub CommMailToAuthor
	MainForm.Dateien.[DateiffnenMit] "", "mailto:gregor@peisker.de", ""
End Sub